libmspub::SolidFill Class Reference

`#include <Fill.h>`

Inheritance diagram for libmspub::SolidFill:

## Public Member Functions

| SolidFill (ColorReference color, double opacity, const MSPUBCollector *owner)
void | getProperties (librevenge::RVNGPropertyList *out) const override
Public Member Functions inherited from libmspub::Fill
| Fill (const MSPUBCollector *owner)
virtual | ~Fill ()

## Private Member Functions

| SolidFill (const SolidFill &)
SolidFill & | operator= (const SolidFill &)

## Private Attributes

ColorReference | m_color
double | m_opacity

## Additional Inherited Members

Protected Attributes inherited from libmspub::Fill
const MSPUBCollector * | m_owner

## Constructor & Destructor Documentation

## SolidFill() [1/2]

libmspub::SolidFill::SolidFill | ( | ColorReference | color,
|  | double | opacity,
|  | const MSPUBCollector * | owner )

Referenced by operator=(), and SolidFill().

## SolidFill() [2/2]

libmspub::SolidFill::SolidFill | ( | const SolidFill & |  | ) |

inline private

## Member Function Documentation

## getProperties()

void libmspub::SolidFill::getProperties | ( | librevenge::RVNGPropertyList * | out | ) | const

override virtual

Implements libmspub::Fill.

## operator=()

SolidFill & libmspub::SolidFill::operator= | ( | const SolidFill & |  | ) |

private

## Member Data Documentation

## m_color

ColorReference libmspub::SolidFill::m_color

private

Referenced by getProperties(), SolidFill(), and SolidFill().

## m_opacity

double libmspub::SolidFill::m_opacity

private

Referenced by getProperties(), SolidFill(), and SolidFill().

The documentation for this class was generated from the following files:

- Fill.h
- Fill.cpp